[(#REM)<!-- Portfolio : album d'images

@necessite ordoc - https://contrib.spip.net/Ordoc-ordonner-les-documents-attaches-4860
@necessite centre-image
@param album-thumb-width	- largeur max des vignettes du portfolio


-->]
[(#REM)<!-- On peut arriver avec id_article ou id_rubrique. On les réaffecte sur objet, id_objet.
https://contrib.spip.net/Ordoc-ordonner-les-documents-attaches-4860#forum490948
-->]
[(#ENV{id_article}|oui)[(#VAL{article}|setenv{objet})][(#ENV{id_article}|setenv{id_objet})]]
[(#ENV{id_rubrique}|oui)[(#VAL{rubrique}|setenv{objet})][(#ENV{id_rubrique}|setenv{id_objet})]]

#SET{album-thumb-width, #ENV{album-thumb-width, 100}}
[(#SET{afficher-titre, [(#ENV{afficher-titre})]})]
[(#SET{album-thumb-background,#ENV{album-thumb-background, transparent}})]
[(#SET{album-thumb-height, #ENV{album-thumb-height, #GET{album-thumb-width}}})]

#SET{l_recadre,#GET{album-thumb-width}|moins{5}}
#SET{h_recadre,#GET{album-thumb-height}|moins{5}}

<B_documents_portfolio>
[(#GET{afficher-titre}|oui)<h2 class="h2"><:titre_portfolio:></h2>]
<div class="liste documents documents_portfolio thumbnail-grid small">
    <BOUCLE_documents_portfolio(DOCUMENTS){objet?}{id_objet?}
											{mode=document}{extension IN png,jpg,gif}
											{par rang_lien,num titre, date}
											{vu=non}{doublons}>
		<div class="thumbnail" >
			[<figure class="spip_document_#ID_DOCUMENT spip_documents">
				<a href="(#URL_DOCUMENT)"
					 type="#MIME_TYPE"
					 rel="documents_portfolio[-a(#ID_OBJET)][-r(#ID_PARENT)]"
					[title="(#TITRE|attribut_html|couper{80})"]>

    				[(#SET{fichier, #FICHIER|image_reduire{#GET{album-thumb-width},#GET{album-thumb-height}}
                                    |image_recadre{#GET{l_recadre},#GET{h_recadre}, center, #GET{album-thumb-background}}
                                    |extraire_attribut{src}
            })]
            #SET{width, #GET{album-thumb-width}}
            #SET{height, #GET{album-thumb-height}}
            <noscript>
              <img src='#GET{fichier}' [ width="(#GET{width})"][ height="(#GET{height})"] alt="[(#TITRE|texte_backend)]"[ title="(#TITRE|texte_backend)"] itemprop="image" />
            </noscript>
            <img src="#CHEMIN{rien.gif}" data-src='#GET{fichier}' class="lazyload" alt='' width='#GET{width}' height='#GET{height}'  itemprop="image" />

            [(#REM)<!--
            [<figcaption class="item-content">
    					(#TITRE)
    					[(#DESCRIPTIF)]
    					[(#CREDITS)]
    				</figcaption>]
             -->]
        </a>
			</figure>]
		</div>
    </BOUCLE_documents_portfolio>

</div>
</B_documents_portfolio>
[(#REM)
	<!-- Liste des autres documents joints -->
]
<B_documents_joints>
	<div class="liste documents documents_joints">
		<h2 class="h2"><:medias:titre_documents_joints:></h2>
		<ul class="list-items">
			<BOUCLE_documents_joints(DOCUMENTS){objet?}{id_objet?}{extension !IN gif,jpg,png}
																			 {vu=non}{par num titre, date}
																			 {doublons}>
			<li class="item">#INCLURE{fond=inclure/resume/document,id_document}</li>
			</BOUCLE_documents_joints>
		</ul>
	</div>
</B_documents_joints>
